<!doctype html>
<html>
<head>
    <title>New Release: Tor Browser 10.0.13 (Linux Only) | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="New Release: Tor Browser 10.0.13 (Linux Only) | Tor Project">
    <meta property="og:description" content="Tor Browser 10.0.13 is now available from the Tor Browser download page and also from our distribution directory.">
    <meta property="og:image" content="https://blog.torproject.org/new-release-tor-browser-10013/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/new-release-tor-browser-10013/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        New Release: Tor Browser 10.0.13 (Linux Only)
      </h1>
    <p class="meta">by sysrqb | March 4, 2021</p>
    <picture>
      
      <img class="lead" src="lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Tor Browser 10.0.13 for Linux is now available from the <a href="https://www.torproject.org/download/">Tor Browser download page</a> and also from our <a href="https://www.torproject.org/dist/torbrowser/10.0.13/">distribution directory</a>.</p>
<p>This version fixes instability on some Linux distributions.</p>
<p>The full changelog since <a href="https://gitweb.torproject.org/builders/tor-browser-build.git/plain/projects/tor-browser/Bundle-Data/Docs/ChangeLog.txt?h=maint-10.0-desktop">Tor Browser 10.0.12</a> is:</p>
<ul>
<li>Linux
<ul>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser/40328">Bug 40328</a>: Fix instability after upgrading to glibc 2.33</li>
</ul>
</li>
</ul>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/applications">
          applications
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-291290"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291290" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 03, 2021</p>
    </div>
    <a href="#comment-291290">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291290" class="permalink" rel="bookmark">Download URL is incorrect,…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Download URL is incorrect, needs the version path updating.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291295"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291295" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sysrqb
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sysrqb said:</p>
      <p class="date-time">March 04, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291290" class="permalink" rel="bookmark">Download URL is incorrect,…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-291295">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291295" class="permalink" rel="bookmark">Which download URL?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Which download URL?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291298"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291298" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 04, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to sysrqb</p>
    <a href="#comment-291298">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291298" class="permalink" rel="bookmark">The download URL for what…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The download URL for what you posted, obviously? It's fixed now.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291303"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291303" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sysrqb
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sysrqb said:</p>
      <p class="date-time">March 04, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291298" class="permalink" rel="bookmark">The download URL for what…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-291303">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291303" class="permalink" rel="bookmark">Okay, the post hasn&#039;t been…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Okay, the post hasn't been modified since it was posted.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291304"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291304" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 04, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to sysrqb</p>
    <a href="#comment-291304">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291304" class="permalink" rel="bookmark">The download URL on the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The download URL on the download page has been fixed.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291346"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291346" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 11, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291304" class="permalink" rel="bookmark">The download URL on the…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-291346">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291346" class="permalink" rel="bookmark">FWIW I was able to obtain…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>FWIW I was able to obtain the detached sig and tarball via</p>
<p><a href="https://www.torproject.org/download/" rel="nofollow">https://www.torproject.org/download/</a></p>
<p>If there really was a wrong link on that page before that certainly would be a mistake to avoid repeating.  But in general go Tor, keep up the good work!  8&gt; 8&gt;</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div></div><a id="comment-291291"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291291" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>anon (not verified)</span> said:</p>
      <p class="date-time">March 03, 2021</p>
    </div>
    <a href="#comment-291291">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291291" class="permalink" rel="bookmark">I can&#039;t tell if my browser…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I can't tell if my browser updated. [Help] -&gt; [About Tor Browser] has a [restart to update] button. Clicking it does restart the browser, but the browser returns with the 10.0.12 version and the button remains.</p>
<p>Did someone forget to bump the version number?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291296"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291296" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sysrqb
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sysrqb said:</p>
      <p class="date-time">March 04, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291291" class="permalink" rel="bookmark">I can&#039;t tell if my browser…</a> by <span>anon (not verified)</span></p>
    <a href="#comment-291296">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291296" class="permalink" rel="bookmark">No, that means the update…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>No, that means the update was not installed. Can you run Tor Browser with the '-v' argument on the command line? Are there any useful error messages?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-291338"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291338" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>x (not verified)</span> said:</p>
      <p class="date-time">March 09, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291291" class="permalink" rel="bookmark">I can&#039;t tell if my browser…</a> by <span>anon (not verified)</span></p>
    <a href="#comment-291338">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291338" class="permalink" rel="bookmark">Maybe you have overlooked…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Maybe you have overlooked that this is a Linux only release? At least I have.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-291350"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291350" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>J.T. (not verified)</span> said:</p>
      <p class="date-time">March 12, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291291" class="permalink" rel="bookmark">I can&#039;t tell if my browser…</a> by <span>anon (not verified)</span></p>
    <a href="#comment-291350">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291350" class="permalink" rel="bookmark">Yes</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yes</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-291366"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291366" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 16, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291291" class="permalink" rel="bookmark">I can&#039;t tell if my browser…</a> by <span>anon (not verified)</span></p>
    <a href="#comment-291366">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291366" class="permalink" rel="bookmark">Are you on GNU/Linux OS? As…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Are you on GNU/Linux OS? As written in the title, this update was for Linux only. If you aren't, then 10.0.12 is the most recent version for your OS.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-291292"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291292" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 03, 2021</p>
    </div>
    <a href="#comment-291292">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291292" class="permalink" rel="bookmark">Thank you, teams.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank you, Tor Project and cypherpunks.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-291293"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291293" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Adam Anonym (not verified)</span> said:</p>
      <p class="date-time">March 03, 2021</p>
    </div>
    <a href="#comment-291293">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291293" class="permalink" rel="bookmark">Please add/Increase FireFox,…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Please add/Increase FireFox, Tor Browser SANDBOXING, ASLR, enhance the protections.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291302"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291302" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>sanDboxrr (not verified)</span> said:</p>
      <p class="date-time">March 04, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291293" class="permalink" rel="bookmark">Please add/Increase FireFox,…</a> by <span>Adam Anonym (not verified)</span></p>
    <a href="#comment-291302">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291302" class="permalink" rel="bookmark">just use firejail</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>just use firejail</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-291294"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291294" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 04, 2021</p>
    </div>
    <a href="#comment-291294">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291294" class="permalink" rel="bookmark">Well done!!</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Well done!!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-291297"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291297" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anon (not verified)</span> said:</p>
      <p class="date-time">March 04, 2021</p>
    </div>
    <a href="#comment-291297">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291297" class="permalink" rel="bookmark">Good job.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Good job.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-291299"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291299" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 04, 2021</p>
    </div>
    <a href="#comment-291299">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291299" class="permalink" rel="bookmark">Thank you</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank you</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-291300"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291300" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>anon (not verified)</span> said:</p>
      <p class="date-time">March 04, 2021</p>
    </div>
    <a href="#comment-291300">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291300" class="permalink" rel="bookmark">hi
please change the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hi<br />
please change the homepage, it's not nice<br />
and "resource://torbutton-assets/tor-survey-icon.svg" doesn't get open when javascript is disabled!<br />
maybe for its format<br />
and something else,when i change security level to safest yet in about:config javascript.enabled is True by default!<br />
and even duckduckgo doesn't work ok, and i had to disable it every time with myself,<br />
and, when js is disabled and i open a mp4 file directly ( i mean player doesn't work that is normal and i search in source code and find the file to open) it's doesn't work with noscript, noscript warning doesn't work anymore when a file opened directly, if it work i can download the file just with its address but it has some problems and doesn't work<br />
i hope you get what i mean, just read it again and i'm sorry for (bad EN writing), thanks</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291305"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291305" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>same (not verified)</span> said:</p>
      <p class="date-time">March 04, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291300" class="permalink" rel="bookmark">hi
please change the…</a> by <span>anon (not verified)</span></p>
    <a href="#comment-291305">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291305" class="permalink" rel="bookmark">exactly what this person…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>exactly what this person said!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-291306"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291306" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 04, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291300" class="permalink" rel="bookmark">hi
please change the…</a> by <span>anon (not verified)</span></p>
    <a href="#comment-291306">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291306" class="permalink" rel="bookmark">&gt; &quot;resource://torbutton…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; "resource://torbutton-assets/tor-survey-icon.svg" doesn't get open when javascript is disabled</p>
<p>Yes, that was reported on the blog in 10.0.12 but not on Gitlab yet.<br />
<a href="https://blog.torproject.org/comment/291208#comment-291208" rel="nofollow">https://blog.torproject.org/comment/291208#comment-291208</a><br />
If I understand correctly, the problem is that the safest security level sets the preference <span class="geshifilter"><code class="php geshifilter-php">svg<span style="color: #339933;">.</span>disabled</code></span> to <span class="geshifilter"><code class="php geshifilter-php"><span style="color: #009900; font-weight: bold;">true</span></code></span>, and the icon image is an SVG file. One possible solution is for the developers to save the image as a PNG or JPG. They were able to make the image of the green computer on the black background for their donation campaign work without Javascript.</p>
<p>&gt; when i change security level to safest yet in about:config javascript.enabled is True by default</p>
<p>Yes, under the button to select safest mode, it tells you, "JavaScript is disabled by default on all sites." Read the notes under each level's button.</p>
<p>&gt; duckduckgo doesn't work ok</p>
<p>Yes, the solution is to open NoScript's options and enable the "noscript" permission for duckduckgo.com. That is a new permission in NoScript. It has been <a href="https://gitlab.torproject.org/tpo/applications/torbutton/-/issues/40030" rel="nofollow">fixed</a> in Tor Browser and will be released in one of the next versions. In the meantime, either change to "safer" security level, or open <a href="https://html.duckduckgo.com/html/" rel="nofollow">https://html.duckduckgo.com/html/</a> , or temporarily enable NoScript's "noscript" permission for duckduckgo.com or its onion service.</p>
<p>&gt; when js is disabled and i open a mp4 file directly ( i mean player doesn't work that is normal and i search in source code and find the file to open) it's doesn't work with noscript, noscript warning doesn't work anymore when a file opened directly</p>
<p>MP4 files are often not stored on the same host as the player's webpage. If you try to open https://.../video.mp4 , you have to allow <span class="geshifilter"><code class="php geshifilter-php">media</code></span> in NoScript for the mp4's hostname. On the player's webpage, you may need to allow <span class="geshifilter"><code class="php geshifilter-php">media</code></span> for the player's hostname <strong>and</strong> the mp4's hostname.</p>
<p>NoScript's icon is hidden because it can affect your anonymity if you reconfigure it. Experienced users can find its icon in the main menu --&gt; Customize, and drag its icon to the toolbar. NoScript's options can be reset if you change your security level. Be careful if you configure NoScript.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291320"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291320" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span content="Maybe-serious-problem?">Maybe-serious-… (not verified)</span> said:</p>
      <p class="date-time">March 06, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291306" class="permalink" rel="bookmark">&gt; &quot;resource://torbutton…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-291320">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291320" class="permalink" rel="bookmark">&gt; Yes, the solution is to…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; Yes, the solution is to open NoScript's options and enable the "noscript" permission for duckduckgo.com. That is a new permission in NoScript. It has been fixed in Tor Browser and will be released in one of the next versions. In the meantime, either change to "safer" security level, or open <a href="https://html.duckduckgo.com/html/" rel="nofollow">https://html.duckduckgo.com/html/</a> , or temporarily enable NoScript's "noscript" permission for duckduckgo.com or its onion service.</p>
<p>When I try to use duckduckgo.com onion via the menu bar in Tor Browser included with Tails 4.16 (current), as of today the server does not respond but in Onion Circuits I see a connection to r3.o.lencr.org which allegedly is the EFF cert site letsencrypt.org but which has been reported as hosting malware.</p>
<p>Any comment?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291361"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291361" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sysrqb
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sysrqb said:</p>
      <p class="date-time">March 16, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291320" class="permalink" rel="bookmark">&gt; Yes, the solution is to…</a> by <span content="Maybe-serious-problem?">Maybe-serious-… (not verified)</span></p>
    <a href="#comment-291361">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291361" class="permalink" rel="bookmark">r3.o.lencr.org is used for…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>r3.o.lencr.org is used for verifying a certificate was note revoked. It is run by Let's Encrypt. Malware use certificates from Let's Encrypt, so that may be why you are seeing the malware references.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-291365"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291365" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 16, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291320" class="permalink" rel="bookmark">&gt; Yes, the solution is to…</a> by <span content="Maybe-serious-problem?">Maybe-serious-… (not verified)</span></p>
    <a href="#comment-291365">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291365" class="permalink" rel="bookmark">&gt; r3.o.lencr.org which…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; r3.o.lencr.org which allegedly is the EFF cert site letsencrypt.org</p>
<p>It isn't the site, but staff of Let's Encrypt stated that it is managed by them. It's their server for certificate revocation lists (CRL) and Online Certificate Status Protocol (OCSP).<br />
<a href="https://community.letsencrypt.org/t/ocsp-uri-r3-o-lencr-org/145920" rel="nofollow">https://community.letsencrypt.org/t/ocsp-uri-r3-o-lencr-org/145920</a><br />
<a href="https://ssl-tools.net/webservers/r3.i.lencr.org" rel="nofollow">https://ssl-tools.net/webservers/r3.i.lencr.org</a></p>
<p>However, the certificates for DuckDuckGo.com and .onion are not issued by Let's Encrypt but by DigiCert. Running a DNS query on <span class="geshifilter"><code class="php geshifilter-php">r3<span style="color: #339933;">.</span>o<span style="color: #339933;">.</span>lencr<span style="color: #339933;">.</span>org</code></span> leads to random IPs allegedly owned by Akamai. Running a DNS query on <span class="geshifilter"><code class="php geshifilter-php">crl3<span style="color: #339933;">.</span>digicert<span style="color: #339933;">.</span>com</code></span>, seen in DuckDuckGo's certificate, leads to random IPs allegedly owned by Verizon, not Akamai. Therefore, I doubt <span class="geshifilter"><code class="php geshifilter-php">r3<span style="color: #339933;">.</span>o<span style="color: #339933;">.</span>lencr<span style="color: #339933;">.</span>org</code></span> was from DuckDuckGo.</p>
<p>You said you were using Tails, so it could have come from any application running in that OS because Tails redirects all external traffic through the Tor network. If it was from something in Tor Browser, it could have come from a host that DuckDuckGo's page accessed in the background (right-click --&gt; Inspect Element --&gt; Network tab --&gt; refresh the page and watch) or from update checks by HTTPS-Everywhere or NoScript or Tor Browser itself.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-291363"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291363" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 16, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291300" class="permalink" rel="bookmark">hi
please change the…</a> by <span>anon (not verified)</span></p>
    <a href="#comment-291363">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291363" class="permalink" rel="bookmark">&gt; &quot;resource://torbutton…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; "resource://torbutton-assets/tor-survey-icon.svg" doesn't get open when javascript is disabled<br />
&gt; Yes, that was reported on the blog in 10.0.12 but not on Gitlab yet.</p>
<p>It's on GitLab now: <a href="https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/40370" rel="nofollow">tpo/applications/tor-browser#40370</a> "Repair survey icon on Safest security level"</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-291373"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291373" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>John P. (not verified)</span> said:</p>
      <p class="date-time">March 17, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291300" class="permalink" rel="bookmark">hi
please change the…</a> by <span>anon (not verified)</span></p>
    <a href="#comment-291373">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291373" class="permalink" rel="bookmark">Duckduckgo, redirected in…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Duckduckgo, redirected in the past to an noscript, no .js page, if there was no java scripting possible . I am not sure but I believe they changed their search engine.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-291301"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291301" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>- (not verified)</span> said:</p>
      <p class="date-time">March 04, 2021</p>
    </div>
    <a href="#comment-291301">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291301" class="permalink" rel="bookmark">Viva Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Viva Tor</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-291307"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291307" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 04, 2021</p>
    </div>
    <a href="#comment-291307">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291307" class="permalink" rel="bookmark">The latest version of…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The latest version of NoScript is overwhelming my 4 cores! Please, do something!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-291308"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291308" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>anon (not verified)</span> said:</p>
      <p class="date-time">March 05, 2021</p>
    </div>
    <a href="#comment-291308">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291308" class="permalink" rel="bookmark">https://teddit.net/r/TOR…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://teddit.net/r/TOR/comments/lmrdk6/tor_browser_safest_security_and_duckduckgo/" rel="nofollow">https://teddit.net/r/TOR/comments/lmrdk6/tor_browser_safest_security_an…</a><br />
Please take a look at this bug.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291314"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291314" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 06, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291308" class="permalink" rel="bookmark">https://teddit.net/r/TOR…</a> by <span>anon (not verified)</span></p>
    <a href="#comment-291314">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291314" class="permalink" rel="bookmark">this has been reported a…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>this has been reported a whle back (read the entire post), and the fix will probably be released in the next version.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-291309"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291309" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 05, 2021</p>
    </div>
    <a href="#comment-291309">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291309" class="permalink" rel="bookmark">ddg is out when javascrip…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>ddg is out when javascrip disable</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-291310"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291310" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 05, 2021</p>
    </div>
    <a href="#comment-291310">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291310" class="permalink" rel="bookmark">Please could every one check…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Please could every one check if you have "https Everywhere" extension, mine is gone with the new version 10.0.13.<br />
I only have "NoScript" extension now :(</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291311"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291311" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sysrqb
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sysrqb said:</p>
      <p class="date-time">March 05, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291310" class="permalink" rel="bookmark">Please could every one check…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-291311">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291311" class="permalink" rel="bookmark">What difference are you…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What difference are you seeing now?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291315"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291315" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 06, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to sysrqb</p>
    <a href="#comment-291315">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291315" class="permalink" rel="bookmark">Hi, I do not see visible…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi, I do not see visible differences, I just cannot find "https Everywhere" anywhere in the (Add-ons Manager),<br />
do you still have it with the Tor Browser ?,  or do I need to re-install my own version?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291316"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291316" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sysrqb
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sysrqb said:</p>
      <p class="date-time">March 06, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291315" class="permalink" rel="bookmark">Hi, I do not see visible…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-291316">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291316" class="permalink" rel="bookmark">It is now built-in to the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It is now built-in to the browser and cannot be uninstalled. This change was included in Tor Browser 10.0 (released last September).</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291322"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291322" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 06, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to sysrqb</p>
    <a href="#comment-291322">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291322" class="permalink" rel="bookmark">That is a good thing---…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>That is a good thing--- unless the hard-coded version has been messed with by some hostile actor.  I am alarmed that r3.o.lencr.org seems to be a cross-site-scripting site, not the actual site operated by eff.org which is letsencrypt.org.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-291312"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291312" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 05, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291310" class="permalink" rel="bookmark">Please could every one check…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-291312">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291312" class="permalink" rel="bookmark">Are you sure the icon isn&#039;t…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Are you sure its icon isn't simply hidden? Did you look in the main menu --&gt; Add-ons --&gt; Extensions?  Did you look in the main menu --&gt; Customize? Mine is here.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291327"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291327" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 07, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291312" class="permalink" rel="bookmark">Are you sure the icon isn&#039;t…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-291327">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291327" class="permalink" rel="bookmark">Thank you, it is in …</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank you, it is in "Customize" indeed so i can make it visible in the Menu Bar, but i cannot find it in  Add-ons.<br />
Perhaps something went wrong while I was updating the browser, I will try to re-install it and see if it appears again.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-291329"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291329" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Some Guy (not verified)</span> said:</p>
      <p class="date-time">March 07, 2021</p>
    </div>
    <a href="#comment-291329">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291329" class="permalink" rel="bookmark">Because this 10.0.13 version…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Because this 10.0.13 version is only for Linux, automatic updating is completely broken on Mac currently. I have a Mac stuck on 10.0.5 and another stuck on 10.0.10. In Browser Console it is apparent that update-check gets 404 error trying to fetch non-existent 10.0.13-osx64-en-US.xml from Tor update server, but Firefox stupidly tells user browser is up to date. Anyway it seems Tor Project messed up in how to do a Linux-only release.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-291342"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291342" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>onan (not verified)</span> said:</p>
      <p class="date-time">March 10, 2021</p>
    </div>
    <a href="#comment-291342">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291342" class="permalink" rel="bookmark">First of all, hi, and thanks…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>First of all, hi, and thanks a lot for everything, really<br />
some questions:<br />
1. could bookmarked pages get used as a cookie-like thing for tracking?<br />
2. in library menu, there is a option to restore past bookmarked pages, its wondering me 'cause tor browser should not store any information about past uses, but it does! why? this could be a problem in a public computer, when many persons want to use same account<br />
thanks again.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-291401"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291401" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sysrqb
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sysrqb said:</p>
      <p class="date-time">March 24, 2021</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-291342" class="permalink" rel="bookmark">First of all, hi, and thanks…</a> by <span>onan (not verified)</span></p>
    <a href="#comment-291401">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291401" class="permalink" rel="bookmark">Hello. Yes, bookmarks could…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello. Yes, bookmarks could be used as a tracker if the page you bookmark is somehow unique/special to you. As for restoring previously bookmarked pages, are you sure that's an option? You can restore previously closed tabs, but I don't see an option for restoring past bookmarks.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
